## r-cran-fpc 2.2

=== DESCRIPTION ===
Package: fpc
Title: Flexible Procedures for Clustering
Version: 2.2-13
Date: 2024-09-23
Authors@R: person(given = "Christian",
                    family = "Hennig",
                    role = c("aut", "cre"),
                    email = "christian.hennig@unibo.it")
Depends: R (>= 2.0)
Imports: MASS, cluster, mclust, flexmix, prabclus, class, diptest,
        robustbase, kernlab, grDevices, graphics, methods, stats,
        utils, parallel
Suggests: tclust, pdfCluster, mvtnorm
Description: Various methods for clustering and cluster validation.
  Fixed point clustering. Linear regression clustering. Clustering by 
  merging Gaussian mixture components. Symmetric 
  and asymmetric discriminant projections for visualisation of the 
  separation of groupings. Cluster validation statistics
  for distance based clustering including corrected Rand index. 
  Standardisation of cluster validation statistics by random clusterings and 
  comparison between many clustering methods and numbers of clusters based on
  this.  
  Cluster-wise cluster stability assessment. Methods for estimation of 
  the number of clusters: Calinski-Harabasz, Tibshirani and Walther's 
  prediction strength, Fang and Wang's bootstrap stability. 
  Gaussian/multinomial mixture fitting for mixed 
  continuous/categorical variables. Variable-wise statistics for cluster
  interpretation. DBSCAN clustering. Interface functions for many 
  clustering methods implemented in R, including estimating the number of
  clusters with kmeans, pam and clara. Modality diagnosis for Gaussian
  mixtures. For an overview see package?fpc.
License: GPL
URL: https://www.unibo.it/sitoweb/christian.hennig/en/
NeedsCompilation: no
Packaged: 2024-09-23 23:23:04 UTC; chrish
Author: Christian Hennig [aut, cre]
Maintainer: Christian Hennig <christian.hennig@unibo.it>
Repository: CRAN
Date/Publication: 2024-09-24 05:50:02 UTC

## r-cran-fpc 2.1-11.1

=== debian/changelog ===
r-cran-fpc (2.1-11.1-1~bpo9+2) stretch-backports; urgency=medium

  * Versioned Build-Depends: dh-r (>= 20180713~) to avoid artificial
    Depends: libgdal-dev

 -- Andreas Tille <tille@debian.org>  Wed, 22 Aug 2018 11:01:19 +0200

r-cran-fpc (2.1-11.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Wed, 15 Aug 2018 07:37:12 +0200

r-cran-fpc (2.1-11.1-1) unstable; urgency=medium

  * Initial release (closes: #905631)

 -- Andreas Tille <tille@debian.org>  Tue, 07 Aug 2018 14:12:57 +0200

=== debian/control ===
Source: r-cran-fpc
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r (>= 20180713~),
               r-base-dev,
               r-cran-mass,
               r-cran-cluster,
               r-cran-mclust,
               r-cran-flexmix (>= 2.3-14-1~bpo9+2),
               r-cran-prabclus,
               r-cran-class,
               r-cran-diptest,
               r-cran-mvtnorm,
               r-cran-robustbase,
               r-cran-kernlab,
               r-cran-trimcluster
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fpc
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fpc.git
Homepage: https://cran.r-project.org/package=fpc

Package: r-cran-fpc
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R flexible procedures for clustering
 Various methods for clustering and cluster validation. Fixed point
 clustering. Linear regression clustering. Clustering by merging Gaussian
 mixture components. Symmetric and asymmetric discriminant projections
 for visualisation of the separation of groupings. Cluster validation
 statistics for distance based clustering including corrected Rand index.
 Cluster-wise cluster stability assessment. Methods for estimation of the
 number of clusters: Calinski-Harabasz, Tibshirani and Walther's
 prediction strength, Fang and Wang's bootstrap stability.
 Gaussian/multinomial mixture fitting for mixed continuous/categorical
 variables. Variable-wise statistics for cluster interpretation. DBSCAN
 clustering. Interface functions for many clustering methods implemented
 in R, including estimating the number of clusters with kmeans, pam and
 clara. Modality diagnosis for Gaussian mixtures.

## r-cran-fpc 2.2-5

=== debian/changelog ===
r-cran-fpc (2.2-5-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 10 Feb 2020 13:35:22 +0100

r-cran-fpc (2.2-4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jan 2020 09:09:24 +0100

r-cran-fpc (2.2-3-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.1
  * rename debian/tests/control.autodep8 to debian/tests/control
  * Test-Depends: r-cran-mvtnorm
  * debhelper-compat 12
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Wed, 09 Oct 2019 11:39:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,19 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               dh-r (>= 20180713~),
+Build-Depends: debhelper-compat (= 12),
+               dh-r,
                r-base-dev,
                r-cran-mass,
                r-cran-cluster,
                r-cran-mclust,
-               r-cran-flexmix (>= 2.3-14-1~bpo9+2),
+               r-cran-flexmix,
                r-cran-prabclus,
                r-cran-class,
                r-cran-diptest,
-               r-cran-mvtnorm,
                r-cran-robustbase,
-               r-cran-kernlab,
-               r-cran-trimcluster
-Standards-Version: 4.1.5
+               r-cran-kernlab
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fpc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fpc.git
 Homepage: https://cran.r-project.org/package=fpc

## r-cran-fpc 2.2-7

=== debian/changelog ===
r-cran-fpc (2.2-7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 30 Jul 2020 08:20:44 +0200

r-cran-fpc (2.2-5-2) unstable; urgency=medium

  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 07:01:57 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-mass,
@@ -20,6 +20,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fpc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fpc.git
 Homepage: https://cran.r-project.org/package=fpc
+Rules-Requires-Root: no
 
 Package: r-cran-fpc
 Architecture: all

## r-cran-fpc 2.2-9

=== debian/changelog ===
r-cran-fpc (2.2-9-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2021 14:26:02 +0100

r-cran-fpc (2.2-8-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 21 Sep 2020 09:48:23 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                r-cran-diptest,
                r-cran-robustbase,
                r-cran-kernlab
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fpc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fpc.git
 Homepage: https://cran.r-project.org/package=fpc

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-mvtnorm
Restrictions: allow-stderr

## r-cran-fpc 2.2-10

=== debian/changelog ===
r-cran-fpc (2.2-10-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jan 2023 09:12:42 +0100

## r-cran-fpc 2.2-11

=== debian/changelog ===
r-cran-fpc (2.2-11-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 20 Dec 2023 21:22:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-cran-fpc
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fpc
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fpc.git
+Homepage: https://cran.r-project.org/package=fpc
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -16,11 +20,7 @@
                r-cran-diptest,
                r-cran-robustbase,
                r-cran-kernlab
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fpc
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fpc.git
-Homepage: https://cran.r-project.org/package=fpc
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-fpc
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-mvtnorm
Restrictions: allow-stderr

## r-cran-fpc 2.2-13

=== debian/changelog ===
r-cran-fpc (2.2-13-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 07 Oct 2024 13:26:57 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fpc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fpc.git
 Homepage: https://cran.r-project.org/package=fpc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/fpc_([-\d.]*)\.tar\.gz

## r-cran-fpc 2.2-14

=== debian/changelog ===
r-cran-fpc (2.2-14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 19 Jan 2026 09:23:37 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,9 @@
 Source: r-cran-fpc
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fpc
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fpc.git
-Homepage: https://cran.r-project.org/package=fpc
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -19,8 +15,14 @@
                r-cran-class,
                r-cran-diptest,
                r-cran-robustbase,
-               r-cran-kernlab
-Testsuite: autopkgtest-pkg-r
+               r-cran-kernlab,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fpc
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fpc.git
+Homepage: https://cran.r-project.org/package=fpc
+Rules-Requires-Root: no
 
 Package: r-cran-fpc
 Architecture: all
